%define name adplug
%define version 2.1
%define release %mkrel 1
%define major 2.1
%define libname %mklibname adplug %major

Summary: AdLib sound player library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.bz2
Source1: http://prdownloads.sourceforge.net/adplug/adplug.db.bz2
URL: http://adplug.sourceforge.net/
License: LGPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libbinio-devel
BuildRequires: chrpath

%description
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

%package -n %libname
Group: System/Libraries
Summary: Shared library of the AdPlug audio emulator

%description -n %libname
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the shared library required to run applications
based on AdPlug.

%package -n %libname-devel
Group: Development/C++
Summary: Development files of AdPlug
Requires: %libname = %version
Provides: libadplug-devel = %version-%release
Requires: libbinio-devel

%description -n %libname-devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the C++ headers and documentation required for
building programs based on AdPlug.

%package -n %libname-static-devel
Group: Development/C++
Summary: Static library of AdPlug
Requires: %libname-devel = %version

%description -n %libname-static-devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the static library required for statically
linking applications based on AdPlug.

%prep
%setup -q
perl -pi -e "s!/usr/local/share/adplug!%_datadir/%name!" doc/adplugdb.1

%build
export CPPFLAGS="-I%_includedir/libbinio"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot%_datadir/%name
bzcat %SOURCE1 > %buildroot%_datadir/%name/adplug.db
chrpath -d %buildroot%_bindir/adplugdb

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname-devel
%_install_info libadplug.info
%postun -n %libname-devel
%_remove_install_info libadplug.info

%files
%defattr(-,root,root)
%doc README
%_bindir/adplugdb
%_mandir/man1/adplugdb.1*
%dir %_datadir/%name/
%_datadir/%name/adplug.db

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS NEWS TODO COPYING
%_libdir/libadplug-%{major}.so.0*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/adplug/
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_infodir/libadplug.info*
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/*.a


%changelog
* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.1-1mdv2008.0
+ Revision: 14053
- new version
- new major

  + Mandrake <devel@mandriva.com>


* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-2mdv2007.0
- remove rpath

* Mon Jul 17 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdv2007.0
- new major
- New release 2.0.1

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 2.0-2mdv2007.0
- rebuild

* Fri May 05 2006 Gtz Waschk <waschk@mandriva.org> 2.0-1mdk
- new major
- New release 2.0
- use mkrel

* Mon Sep 19 2005 Gtz Waschk <waschk@mandriva.org> 1.5.1-2mdk
- adapt for new libbinio header location

* Sun May 15 2005 Gtz Waschk <waschk@mandriva.org> 1.5.1-1mdk
- new major
- New release 1.5.1

* Sat Oct 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- new major 1.5
- New release 1.5

* Sat Jun 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-4mdk
- new g++
- drop prefix

